Update expected xml to JJB 2.0 format
[releng/global-jjb.git] / .jjb-test / expected-xml / github-ciman-packer-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty plugin="github">
13       <projectUrl>https://github.com/example-org/releng/ciman</projectUrl>
14       <displayName/>
15     </com.coravy.hudson.plugins.github.GithubProjectProperty>
16     <hudson.model.ParametersDefinitionProperty>
17       <parameterDefinitions>
18         <hudson.model.StringParameterDefinition>
19           <name>PROJECT</name>
20           <description>Parameter to identify a Gerrit project. This is typically the
21 project repo path as exists in Gerrit.
22 For example: ofextensions/circuitsw
23 </description>
24           <defaultValue>releng/ciman</defaultValue>
25         </hudson.model.StringParameterDefinition>
26         <hudson.model.StringParameterDefinition>
27           <name>STREAM</name>
28           <description>Stream is often set to the same name as 'branch' but can
29 sometimes be used as a name representing a project's release code
30 name.
31 </description>
32           <defaultValue>master</defaultValue>
33         </hudson.model.StringParameterDefinition>
34         <hudson.model.StringParameterDefinition>
35           <name>GERRIT_PROJECT</name>
36           <description>Parameter to identify Gerrit project. This is typically the
37 project repo path as exists in Gerrit.
38 For example: ofextensions/circuitsw
39
40 Note that Gerrit will override this parameter automatically if a
41 job is triggered by Gerrit.
42 </description>
43           <defaultValue>releng/ciman</defaultValue>
44         </hudson.model.StringParameterDefinition>
45         <hudson.model.StringParameterDefinition>
46           <name>GERRIT_BRANCH</name>
47           <description>Parameter to identify a Gerrit branch.
48
49 Note that Gerrit will override this parameter automatically if a
50 job is triggered by Gerrit.
51 </description>
52           <defaultValue>master</defaultValue>
53         </hudson.model.StringParameterDefinition>
54         <hudson.model.StringParameterDefinition>
55           <name>GERRIT_REFSPEC</name>
56           <description>Parameter to identify a refspec when pulling from Gerrit.
57
58 Note that Gerrit will override this parameter automatically if a
59 job is triggered by Gerrit.
60 </description>
61           <defaultValue>refs/heads/master</defaultValue>
62         </hudson.model.StringParameterDefinition>
63         <hudson.model.StringParameterDefinition>
64           <name>LFTOOLS_VERSION</name>
65           <description>Version of lftools to install. Can be a specific version like
66 '0.6.0' or a PEP-440 definition.
67 https://www.python.org/dev/peps/pep-0440/
68 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
69 </description>
70           <defaultValue>&lt;1.0.0</defaultValue>
71         </hudson.model.StringParameterDefinition>
72         <hudson.model.StringParameterDefinition>
73           <name>PACKER_VERSION</name>
74           <description>Packer version to download and install.</description>
75           <defaultValue>1.1.3</defaultValue>
76         </hudson.model.StringParameterDefinition>
77       </parameterDefinitions>
78     </hudson.model.ParametersDefinitionProperty>
79   </properties>
80   <scm class="hudson.plugins.git.GitSCM">
81     <configVersion>2</configVersion>
82     <userRemoteConfigs>
83       <hudson.plugins.git.UserRemoteConfig>
84         <name>origin</name>
85         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
86         <url>git@github.com:example-org/releng/ciman</url>
87         <credentialsId>test-credential</credentialsId>
88       </hudson.plugins.git.UserRemoteConfig>
89     </userRemoteConfigs>
90     <branches>
91       <hudson.plugins.git.BranchSpec>
92         <name>$sha1</name>
93       </hudson.plugins.git.BranchSpec>
94     </branches>
95     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
96     <remotePoll>false</remotePoll>
97     <gitTool>Default</gitTool>
98     <submoduleCfg class="list"/>
99     <reference/>
100     <gitConfigName/>
101     <gitConfigEmail/>
102     <extensions>
103       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
104         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
105       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
106       <hudson.plugins.git.extensions.impl.SubmoduleOption>
107         <disableSubmodules>false</disableSubmodules>
108         <recursiveSubmodules>true</recursiveSubmodules>
109         <trackingSubmodules>false</trackingSubmodules>
110         <parentCredentials>false</parentCredentials>
111         <reference/>
112         <timeout>10</timeout>
113       </hudson.plugins.git.extensions.impl.SubmoduleOption>
114       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
115     </extensions>
116   </scm>
117   <triggers class="vector">
118     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
119       <spec/>
120       <adminlist/>
121       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
122       <whitelist/>
123       <orgslist/>
124       <whiteListLabels/>
125       <blackListLabels/>
126       <cron/>
127       <triggerPhrase>^recheck$</triggerPhrase>
128       <skipBuildPhrase/>
129       <onlyTriggerPhrase>false</onlyTriggerPhrase>
130       <useGitHubHooks>true</useGitHubHooks>
131       <permitAll>true</permitAll>
132       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
133       <extensions>
134         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
135           <commitStatusContext>Packer Verify</commitStatusContext>
136         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
137       </extensions>
138     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
139   </triggers>
140   <builders>
141     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
142       <managedFiles>
143         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
144           <fileId>ci-packer-cloud-env</fileId>
145           <targetLocation/>
146           <variable>CLOUDENV</variable>
147         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
148       </managedFiles>
149     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
150     <EnvInjectBuilder>
151       <info>
152         <propertiesContent>PACKER_VERSION=1.1.3
153 </propertiesContent>
154       </info>
155     </EnvInjectBuilder>
156     <hudson.tasks.Shell>
157       <command>#!/bin/bash
158 # SPDX-License-Identifier: EPL-1.0
159 ##############################################################################
160 # Copyright (c) 2017 The Linux Foundation and others.
161 #
162 # All rights reserved. This program and the accompanying materials
163 # are made available under the terms of the Eclipse Public License v1.0
164 # which accompanies this distribution, and is available at
165 # http://www.eclipse.org/legal/epl-v10.html
166 ##############################################################################
167 echo &quot;---&gt; packer-install.sh&quot;
168 # The script checks for the packer binaries and installs the binary
169 # if its not available
170
171 # $PACKER_VERSION        : Define a packer version passed as job paramter
172
173 PACKER_VERSION=&quot;${PACKER_VERSION:-1.1.3}&quot;
174
175 # Ensure we fail the job if any steps fail.
176 set -eu -o pipefail
177
178 if hash packer.io 2&gt;/dev/null; then
179     echo &quot;packer.io command is available.&quot;
180 else
181     echo &quot;packer.io command not is available. Installing packer ...&quot;
182     # Installs Hashicorp's Packer binary, required for verify &amp; merge packer jobs
183     pushd &quot;${WORKSPACE}&quot;
184     wget -nv &quot;https://releases.hashicorp.com/packer/${PACKER_VERSION}/packer_${PACKER_VERSION}_linux_amd64.zip&quot;
185     mkdir -p &quot;${WORKSPACE}/bin&quot;
186     unzip &quot;packer_${PACKER_VERSION}_linux_amd64.zip&quot; -d &quot;${WORKSPACE}/bin/&quot;
187     # rename packer to avoid conflict with binary in cracklib
188     mv &quot;${WORKSPACE}/bin/packer&quot; &quot;${WORKSPACE}/bin/packer.io&quot;
189     popd
190 fi
191
192 #!/bin/bash
193 # SPDX-License-Identifier: EPL-1.0
194 ##############################################################################
195 # Copyright (c) 2017 The Linux Foundation and others.
196 #
197 # All rights reserved. This program and the accompanying materials
198 # are made available under the terms of the Eclipse Public License v1.0
199 # which accompanies this distribution, and is available at
200 # http://www.eclipse.org/legal/epl-v10.html
201 ##############################################################################
202 echo &quot;---&gt; packer-validate.sh&quot;
203 # The script validates an packers files.
204
205 # $CLOUDENV            :  Provides the cloud credential file.
206
207 # Ensure we fail the job if any steps fail.
208 set -eu -o pipefail
209
210 PACKER_LOGS_DIR=&quot;$WORKSPACE/archives/packer&quot;
211 mkdir -p &quot;$PACKER_LOGS_DIR&quot;
212 export PATH=&quot;${WORKSPACE}/bin:$PATH&quot;
213
214 cd packer
215 varfiles=(vars/*.json common-packer/vars/*.json)
216 templates=(templates/*.json)
217
218 for varfile in &quot;${varfiles[@]}&quot;; do
219     # cloud-env.json is a file containing credentials which is pulled in via
220     # CLOUDENV variable so skip it here.
221     if [[ &quot;$varfile&quot; == *&quot;cloud-env.json&quot;* ]]; then
222         continue
223     fi
224
225     echo &quot;-----&gt; Testing varfile: $varfile&quot;
226     for template in &quot;${templates[@]}&quot;; do
227         export PACKER_LOG=&quot;yes&quot;
228         export PACKER_LOG_PATH=&quot;$PACKER_LOGS_DIR/packer-validate-${varfile##*/}-${template##*/}.log&quot;
229         if output=$(packer.io validate -var-file=&quot;$CLOUDENV&quot; -var-file=&quot;$varfile&quot; &quot;$template&quot;); then
230             echo &quot;$template: $output&quot;
231         else
232             echo &quot;$template: $output&quot;
233             exit 1
234         fi
235     done
236 done
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; packer-clear-credentials.sh&quot;
251
252 set +e  # DO NOT cause build failure if any of the rm calls fail.
253 rm &quot;$CLOUDENV&quot;
254 exit 0
255 </command>
256     </hudson.tasks.Shell>
257   </builders>
258   <publishers>
259     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
260       <buildSteps>
261         <hudson.tasks.Shell>
262           <command>#!/bin/bash
263 # SPDX-License-Identifier: EPL-1.0
264 ##############################################################################
265 # Copyright (c) 2017 The Linux Foundation and others.
266 #
267 # All rights reserved. This program and the accompanying materials
268 # are made available under the terms of the Eclipse Public License v1.0
269 # which accompanies this distribution, and is available at
270 # http://www.eclipse.org/legal/epl-v10.html
271 ##############################################################################
272 echo &quot;---&gt; sysstat.sh&quot;
273 set +e  # DON'T fail build if script fails.
274
275 OS=$(facter operatingsystem)
276 case &quot;$OS&quot; in
277     Ubuntu)
278         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
279
280         # Dont run the script when systat is not enabled by default
281         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
282             exit 0
283         fi
284     ;;
285     CentOS|RedHat)
286         SYSSTAT_PATH=&quot;/var/log/sa&quot;
287     ;;
288     *)
289         # nothing to do
290         exit 0
291     ;;
292 esac
293
294 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
295 mkdir -p &quot;$SAR_DIR&quot;
296 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
297 # convert sar data to ascii format
298 while IFS=&quot;&quot; read -r sarfilenum
299 do
300     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
301 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
302
303 # DON'T fail build if script fails.
304 exit 0
305 </command>
306         </hudson.tasks.Shell>
307         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
308           <managedFiles>
309             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
310               <fileId>jenkins-log-archives-settings</fileId>
311               <targetLocation/>
312               <variable>SETTINGS_FILE</variable>
313             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
314           </managedFiles>
315         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
316         <EnvInjectBuilder>
317           <info>
318             <propertiesContent>SERVER_ID=logs</propertiesContent>
319           </info>
320         </EnvInjectBuilder>
321         <hudson.tasks.Shell>
322           <command>#!/bin/bash
323 # SPDX-License-Identifier: EPL-1.0
324 ##############################################################################
325 # Copyright (c) 2017 The Linux Foundation and others.
326 #
327 # All rights reserved. This program and the accompanying materials
328 # are made available under the terms of the Eclipse Public License v1.0
329 # which accompanies this distribution, and is available at
330 # http://www.eclipse.org/legal/epl-v10.html
331 ##############################################################################
332 echo &quot;---&gt; create-netrc.sh&quot;
333
334 # Ensure we fail the job if any steps fail.
335 set -eu -o pipefail
336
337 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
338 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
339     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
340     -v x:username -o &quot;:&quot; -v x:password \
341     &quot;$SETTINGS_FILE&quot;)
342
343 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
344 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
345 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
346
347 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
348 </command>
349         </hudson.tasks.Shell>
350         <hudson.tasks.Shell>
351           <command>#!/bin/bash
352 # SPDX-License-Identifier: EPL-1.0
353 ##############################################################################
354 # Copyright (c) 2017 The Linux Foundation and others.
355 #
356 # All rights reserved. This program and the accompanying materials
357 # are made available under the terms of the Eclipse Public License v1.0
358 # which accompanies this distribution, and is available at
359 # http://www.eclipse.org/legal/epl-v10.html
360 ##############################################################################
361 echo &quot;---&gt; lftools-install.sh&quot;
362
363 # Script to install lftools via a version passed in via lf-infra-parameters
364 #
365 # Required parameters:
366 #
367 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
368 #                      set to a strict version number like '1.2.3' or using
369 #                      PEP-440 definitions.
370 #
371 #                      Examples:
372 #                          &lt;1.0.0
373 #                          &gt;=1.0.0,&lt;2.0.0
374 #
375 # By default a released version of lftools should always be used.
376 # The purpose of the 2 variables below is so that lftools devs can test
377 # unreleased versions of lftools. There are 2 methods to install a dev version
378 # of lftools:
379 #
380 #     1) gerrit patch: Used to test a patch that has not yet been merged.
381 #                      To do this set something like this:
382 #                          LFTOOLS_MODE=gerrit
383 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
384 #
385 #     2) git branch: Used to install an lftools version from a specific branch.
386 #                    To use this set the variables as follows:
387 #                          LFTOOLS_MODE=git
388 #                          LFTOOLS_REFSPEC=master
389 #
390 #     3) release : The intended use case and default setting.
391 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
392
393 LFTOOLS_MODE=release  # release | git | gerrit
394 LFTOOLS_REFSPEC=master
395
396 # Ensure we fail the job if any steps fail.
397 # DO NOT set -u as virtualenv's activate script has unbound variables
398 set -e -o pipefail
399
400 virtualenv --quiet &quot;/tmp/v/lftools&quot;
401 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
402 source &quot;/tmp/v/lftools/bin/activate&quot;
403 pip install --quiet --upgrade pip
404
405 case $LFTOOLS_MODE in
406     gerrit)
407         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
408         pushd /tmp/lftools
409         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
410         git checkout FETCH_HEAD
411         pip install --quiet --upgrade -r requirements.txt
412         pip install --quiet --upgrade -e .
413         popd
414         ;;
415
416     git)
417         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
418         ;;
419
420     release)
421         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
422             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
423         fi
424
425         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
426         ;;
427 esac
428
429 lftools --version
430
431 # pipdeptree prints out a lot of information because lftools pulls in many
432 # dependencies. Let's only print it if we want to debug.
433 # echo &quot;----&gt; Pip Dependency Tree&quot;
434 # pip install --quiet --upgrade pipdeptree
435 # pipdeptree
436
437 #!/bin/bash
438 # SPDX-License-Identifier: EPL-1.0
439 ##############################################################################
440 # Copyright (c) 2017 The Linux Foundation and others.
441 #
442 # All rights reserved. This program and the accompanying materials
443 # are made available under the terms of the Eclipse Public License v1.0
444 # which accompanies this distribution, and is available at
445 # http://www.eclipse.org/legal/epl-v10.html
446 ##############################################################################
447 echo &quot;---&gt; logs-deploy.sh&quot;
448
449 # Ensure we fail the job if any steps fail.
450 set -eu -o pipefail
451
452 set -x  # Trace commands for this script to make debugging easier.
453
454 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
455 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
456
457 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
458 then
459     set +x # Disable trace since we no longer need it
460
461     echo &quot;WARNING: Logging server not set&quot;
462 else
463     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
464     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
465     BUILD_URL=&quot;${BUILD_URL}&quot;
466
467     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
468     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
469
470     set +x  # Disable trace since we no longer need it.
471
472     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
473 fi
474 </command>
475         </hudson.tasks.Shell>
476         <hudson.tasks.Shell>
477           <command>#!/bin/bash
478 # SPDX-License-Identifier: EPL-1.0
479 ##############################################################################
480 # Copyright (c) 2017 The Linux Foundation and others.
481 #
482 # All rights reserved. This program and the accompanying materials
483 # are made available under the terms of the Eclipse Public License v1.0
484 # which accompanies this distribution, and is available at
485 # http://www.eclipse.org/legal/epl-v10.html
486 ##############################################################################
487
488 # Clear log credential files
489 rm &quot;$SETTINGS_FILE&quot;
490 rm ~/.netrc
491 </command>
492         </hudson.tasks.Shell>
493         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
494           <regexp>^Build logs: .*</regexp>
495         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
496       </buildSteps>
497       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
498       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
499       <markBuildUnstable>false</markBuildUnstable>
500     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
501     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
502       <patterns>
503         <hudson.plugins.ws__cleanup.Pattern>
504           <pattern>**/*.jenkins-trigger</pattern>
505           <type>EXCLUDE</type>
506         </hudson.plugins.ws__cleanup.Pattern>
507       </patterns>
508       <deleteDirs>false</deleteDirs>
509       <cleanupMatrixParent>false</cleanupMatrixParent>
510       <externalDelete/>
511       <cleanWhenSuccess>true</cleanWhenSuccess>
512       <cleanWhenUnstable>true</cleanWhenUnstable>
513       <cleanWhenFailure>true</cleanWhenFailure>
514       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
515       <cleanWhenAborted>true</cleanWhenAborted>
516       <notFailBuild>true</notFailBuild>
517     </hudson.plugins.ws__cleanup.WsCleanup>
518   </publishers>
519   <buildWrappers>
520     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
521     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
522       <timeoutMinutes>10</timeoutMinutes>
523       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
524       <failBuild>true</failBuild>
525       <writingDescription>false</writingDescription>
526       <timeoutPercentage>0</timeoutPercentage>
527       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
528       <timeoutType>absolute</timeoutType>
529     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
530     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
531     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
532       <user>test-credential</user>
533     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
534     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
535     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
536       <managedFiles>
537         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
538           <fileId>npmrc</fileId>
539           <targetLocation>$HOME/.npmrc</targetLocation>
540           <variable/>
541         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
542       </managedFiles>
543     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
544   </buildWrappers>
545 </project>